Summary:	Network traffic tracker
Summary(pl.UTF-8):	Narzędzie do śledzenia ruchu sieciowego
Name:		jnettop
Version:	0.13.0
Release:	7
License:	GPL
Group:		Networking/Utilities
Source0:	http://jnettop.kubs.info/dist/%{name}-%{version}.tar.gz
# Source0-md5:	9529d75011026b3fcaf185b2fb063881
URL:		http://jnettop.kubs.info/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nettop is visualising active network traffic as top does with
processes. It displays active network streams sorted by bandwidth
used. This is often usable when you want to get a fast grip of what is
going on on your outbound router.

%description -l pl.UTF-8
Nettop pokazuje aktywny ruch sieciowy podobnie jak top procesy.
Wyświetla aktywne sieciowe strumienie posortowane wg ilości użytego
pasma. Jest często używany do stwierdzenia co się dzieje na ruterach.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README .jnettop
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jnettop.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9405560
- ncurses rebuild
- release 7 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> c1b67a5
- release 6 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 9c38f8b
- Rebuild with DB 5.3
- release 5 (by relup.sh)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f7cb798
- release 4

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 5a2aab4
- release 3

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 41f28da
- rel 2

* Sun Jul 29 2007 Tomasz Pala <gotar@pld-linux.org> c6a6dc5
- 0.13.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4bad2b3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5e1763d
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 74667fa
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Fri Nov 26 2004 undefine <undefine@pld-linux.org> 77bd9b9
- up to 0.10.1

* Sun Oct 03 2004 paladine <paladine@pld-linux.org> 48fd161
- updated to 0.10

* Sun Jan 18 2004 undefine <undefine@pld-linux.org> b6bc437
- fix group

* Sat Dec 06 2003 undefine <undefine@pld-linux.org> 7d85f5b
- release 2 to rebuild with ac

* Mon Aug 18 2003 undefine <undefine@pld-linux.org> 3782e3c
- update to 0.9

* Tue Jul 22 2003 Paweł Gołaszewski <blues@pld-linux.org> 477ac5f
- cosmetics

* Tue Jul 15 2003 undefine <undefine@pld-linux.org> 6edd1c5
- release 2, stbr ra/nest/ac itepe

* Tue Jul 15 2003 undefine <undefine@pld-linux.org> 68004c8
- ok, ncurses detected :)

* Mon Jun 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 7d21a90
- removed INSTALL from doc (generic)

* Sat Jun 28 2003 undefine <undefine@pld-linux.org> ebe7b0a
- BR: pkgconfig, sorted BR

